# Get group

Gets information about an array of Group Members for the group specified in the URL.

Endpoint: GET /groups/{groupId}
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Path parameters:

  - `groupId` (number, required)
    ID of the group being accessed

## Response 200 fields (application/json):

  - `id` (number)
    Group ID.
    Example: 4583173393803140

  - `name` (string)
    Group name.
    Example: "Group 1"

  - `description` (string)
    Group description.
    Example: "My group"

  - `owner` (string)
    Group owner’s email address.
    Example: "john.doe@smartsheet.com"

  - `ownerId` (number)
    Group owner's user ID.
    Example: 2331373580117892

  - `createdAt` (any)

  - `modifiedAt` (any)

  - `members` (array)
    List of Group Members

  - `members.id` (number)
    Group member's user ID.
    Example: 2331373580117892

  - `members.email` (string)
    Group member's email address.
    Example: "john.doe@smartsheet.com"

  - `members.firstName` (string)
    Group member's first name.
    Example: "John"

  - `members.lastName` (string)
    Group member's last name.
    Example: "Doe"

  - `members.name` (string)
    Group member's full name.
    Example: "John Doe"

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


